function loadMain()
{
    checkState();
    System.Gadget.onUndock = checkState;
    System.Gadget.onDock = checkState;  
    //System.Gadget.visibilityChanged = checkVisibility;
    System.Gadget.Flyout.file = "flyout.html";
    //System.Gadget.onShowSettings = loadSettings;    
}

////////////////////////////////////////////////////////////////////////////////
//
// Gadget specific settings
// determine if gadget is in sidebar - docked or on the desktop - undocked
//
////////////////////////////////////////////////////////////////////////////////
function checkState()
{
    if(!System.Gadget.docked) 
    {
        with(document.body.style)
        {   
            width = "690px",
            height = "536px",
            background = "url(../images/back.png)";
        }
        with(flyoutMain.style)
        {
            width = "640px",
            height = "480px";
        }  
        loadFlash(document);
    } 
    else if (System.Gadget.docked)
    {
        with(document.body.style)
        {   
            width = "130px";
            height = "102px";
            background = "transparent url(images/TP-Gadget-130x102.png)";
        }
        with(flyoutMain.style)
        {
            width = "130px";
            height = "240px";
        }  
        unloadFlash(document);
    }
}
////////////////////////////////////////////////////////////////////////////////
//
// determine if gadget is visible
//
////////////////////////////////////////////////////////////////////////////////
function checkVisibility()
{
    isVisible = System.Gadget.visible;
    if (!isVisible)
    {
        stopTimer();
    }
    if(isVisible)
    {
        startTimer();
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
////////////////////////////////////////////////////////////////////////////////
function showFlyout(feedAll)
{
    if(System.Gadget.Flyout.show)
    {

    }
    else
    {
        System.Gadget.Flyout.show = true;
        System.Gadget.Flyout.onShow = function()
        {
            addContentToFlyout();
        }
        System.Gadget.Flyout.onHide = function()
        {

        }
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
////////////////////////////////////////////////////////////////////////////////
function hideFlyout()
{
   System.Gadget.Flyout.show = false;
}
////////////////////////////////////////////////////////////////////////////////
//
//
////////////////////////////////////////////////////////////////////////////////
function addContentToFlyout()
{
    try
    {
        if(System.Gadget.Flyout.show)
        {
            var flyoutDiv =  System.Gadget.Flyout.document;
            try
            {
                loadFlash(flyoutDiv);
            }
            catch(e)
            {
            }
        }
    }
    catch(e)
    {
    }
}
////////////////////////////////////////////////////////////////////////////////
//
//
////////////////////////////////////////////////////////////////////////////////
function loadFlash(container)
{
    unloadFlash(container);
    var swfObject = '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"'+
        'codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" '+
        'width="640" height="480" id="swfObject" align="middle">'+
        '<param name="allowScriptAccess" value="sameDomain" />'+
        '<param name="movie" value="images/game.swf" />'+
        '<param name="quality" value="high" />'+
        '<param name="bgcolor" value="#ffffff" />'+
        '</object>';
    container.getElementById("flyoutMain").innerHTML = swfObject;      
}
////////////////////////////////////////////////////////////////////////////////
//
//
////////////////////////////////////////////////////////////////////////////////
function unloadFlash(container)
{
    container.getElementById("flyoutMain").innerHTML = '';      
}